[versions]
coreKtx = "1.8.0"
lifecycleRuntimeKtx = "2.3.1"
activityCompose = "1.5.1"
composeBom = "2022.10.00"
composeUi = "1.0.0"
hilt = "2.44"
datastore = "1.0.0"
playServicesLocation = "21.0.1"
junitKtx = "1.1.5"
hiltCompiler = "2.42"
hiltCompilerNavigation = "1.0.0"
navigationCompose = "2.5.1"
retrofit = "2.9.0"
okhttpLoggingInterceptor = "5.0.0-alpha.3"
lifecycleViewModelCompose = "2.4.1"
glideCompose = "1.0.0-alpha.1"
coil = "2.4.0"
timber = "5.0.1"
mockk = "1.13.2"
junit = "4.13.2"
espresso = "3.5.1"
mockitoCore = "4.2.0"
mockitoKotlin = "4.0.0"
coroutinesTest = "1.7.1"
archCoreTesting = "2.2.0"
turbine = "0.8.0"

[libraries]
core-ktx = { group = "androidx.core", name = "core-ktx", version.ref = "coreKtx" }
lifecycle-runtime-ktx = { group = "androidx.lifecycle", name = "lifecycle-runtime-ktx", version.ref = "lifecycleRuntimeKtx" }
activity-compose = { group = "androidx.activity", name = "activity-compose", version.ref = "activityCompose" }
compose-bom = { group = "androidx.compose", name = "compose-bom", version.ref = "composeBom" }
compose-ui = { group = "androidx.compose.ui", name = "ui", version.ref = "composeUi" }
compose-ui-graphics = { group = "androidx.compose.ui", name = "ui-graphics", version.ref = "composeUi" }
compose-ui-tooling-preview = { group = "androidx.compose.ui", name = "ui-tooling-preview", version.ref = "composeUi" }
material3 = { group = "androidx.compose.material3", name = "material3", version.ref = "composeUi" }
hilt-android = { group = "com.google.dagger", name = "hilt-android", version.ref = "hilt" }
datastore-core = { group = "androidx.datastore", name = "datastore-core", version.ref = "datastore" }
play-services-location = { group = "com.google.android.gms", name = "play-services-location", version.ref = "playServicesLocation" }
junit-ktx = { group = "androidx.test.ext", name = "junit-ktx", version.ref = "junitKtx" }
hilt-android-testing = { group = "com.google.dagger", name = "hilt-android-testing", version.ref = "hilt" }
hilt-android-compiler = { group = "com.google.dagger", name = "hilt-android-compiler", version.ref = "hiltCompiler" }
hilt-compiler = { group = "androidx.hilt", name = "hilt-compiler", version.ref = "hiltCompilerNavigation" }
hilt-navigation-compose = { group = "androidx.hilt", name = "hilt-navigation-compose", version.ref = "hiltCompilerNavigation" }
navigation-compose = { group = "androidx.navigation", name = "navigation-compose", version.ref = "navigationCompose" }
retrofit = { group = "com.squareup.retrofit2", name = "retrofit", version.ref = "retrofit" }
retrofit-converter-moshi = { group = "com.squareup.retrofit2", name = "converter-moshi", version.ref = "retrofit" }
okhttp-logging-interceptor = { group = "com.squareup.okhttp3", name = "logging-interceptor", version.ref = "okhttpLoggingInterceptor" }
lifecycle-viewmodel-compose = { group = "androidx.lifecycle", name = "lifecycle-viewmodel-compose", version.ref = "lifecycleViewModelCompose" }
datastore-preferences = { group = "androidx.datastore", name = "datastore-preferences", version.ref = "datastore" }
datastore-preferences-core = { group = "androidx.datastore", name = "datastore-preferences-core", version.ref = "datastore" }
glide-compose = { group = "com.github.bumptech.glide", name = "compose", version.ref = "glideCompose" }
coil = { group = "io.coil-kt", name = "coil", version.ref = "coil" }
coil-compose = { group = "io.coil-kt", name = "coil-compose", version.ref = "coil" }
timber = { group = "com.jakewharton.timber", name = "timber", version.ref = "timber" }
mockk = { group = "io.mockk", name = "mockk", version.ref = "mockk" }
junit = { group = "junit", name = "junit", version.ref = "junit" }
espresso-core = { group = "androidx.test.espresso", name = "espresso-core", version.ref = "espresso" }
compose-ui-test-junit4 = { group = "androidx.compose.ui", name = "ui-test-junit4", version.ref = "composeBom" }
compose-ui-tooling = { group = "androidx.compose.ui", name = "ui-tooling", version.ref = "composeBom" }
compose-ui-test-manifest = { group = "androidx.compose.ui", name = "ui-test-manifest", version.ref = "composeBom" }
mockito-core = { group = "org.mockito", name = "mockito-core", version.ref = "mockitoCore" }
mockito-kotlin = { group = "org.mockito.kotlin", name = "mockito-kotlin", version.ref = "mockitoKotlin" }
coroutines-test = { group = "org.jetbrains.kotlinx", name = "kotlinx-coroutines-test", version.ref = "coroutinesTest" }
core-testing = { group = "androidx.arch.core", name = "core-testing", version.ref = "archCoreTesting" }
turbine = { group = "app.cash.turbine", name = "turbine", version.ref = "turbine" }